Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Gnome3 how to emerge?
View unanswered posts
View posts from last 24 hours

Goto page 1, 2, 3, 4  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
selberbauer
Apprentice
Apprentice


Joined: 20 Dec 2010
Posts: 276

PostPosted: Sun Feb 20, 2011 1:09 am    Post subject: Gnome3 how to emerge? Reply with quote

Hi, i want to use gnome3 (i know it is still alpha but i tested it some mounths ago and i didnt had to complain about crashes).
So know i am not sure what i have to do in the detail:
- add overlays (which ones?)
- unmask packages (?)
- set keywords (?)
- mask old gnome

i have tried this http://reinemuth.info/gnome3-unter-gentoo-installieren-20101214.html how to but it doesnt work or better it still wants to emerge gnome-2.23.

I also googled around a little and found this http://www.gentoo.ru/node/21939 the russian gentoo site, unfortunatly i cant read russia.

regards
Back to top
View user's profile Send private message
XQYZ
Apprentice
Apprentice


Joined: 19 Jul 2009
Posts: 231
Location: Europe

PostPosted: Sun Feb 20, 2011 1:17 am    Post subject: Re: Gnome3 how to emerge? Reply with quote

selberbauer wrote:
- mask old gnome


Will not be necessary afaik. The howto on the german site looks fine from what I can tell. Have you tried doing an emerge -uDN world after adding the overlays. AFAIR gnome 3 is installed if the "gnome-shell" package is in there.
Back to top
View user's profile Send private message
selberbauer
Apprentice
Apprentice


Joined: 20 Dec 2010
Posts: 276

PostPosted: Sun Feb 20, 2011 11:09 am    Post subject: Reply with quote

hmm i had to unmask everything in layman/suka/package.mask
and some in /etc/portage/profile/package.mask manuelly
now it emerges and seems thats the right gnome.

Are there some things to look for by starting gnome-shell?
I mean how can i migrate it in xdm and what is special when it should work with intel GMA

regards
Back to top
View user's profile Send private message
bigmonk
n00b
n00b


Joined: 16 Nov 2004
Posts: 44
Location: china

PostPosted: Mon Feb 28, 2011 7:50 am    Post subject: Reply with quote

I use the gnome overlay.
I got the USE error below:
Code:

# emerge gnome-session -pv

These are the packages that would be merged, in order:

Calculating dependencies... done!

emerge: there are no ebuilds to satisfy ">=net-libs/telepathy-glib-0.13.12[introspection]".
(dependency required by "gnome-base/gnome-shell-2.91.90" [ebuild])
(dependency required by "gnome-base/gnome-session-2.91.90.1" [ebuild])
(dependency required by "gnome-session" [argument])

 * IMPORTANT: 4 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

I have enabled the introspection USE and unmask the net-libs/telepathy-glib-0.13.15
_________________
http://gentoogle.blogspot.com/
Back to top
View user's profile Send private message
bigmonk
n00b
n00b


Joined: 16 Nov 2004
Posts: 44
Location: china

PostPosted: Mon Feb 28, 2011 8:20 am    Post subject: Reply with quote

echo "-introspection" >> /etc/portage/profile/use.mask can solve this error.
_________________
http://gentoogle.blogspot.com/
Back to top
View user's profile Send private message
tomk
Administrator
Administrator


Joined: 23 Sep 2003
Posts: 7219
Location: Sat in front of my computer

PostPosted: Mon Feb 28, 2011 8:46 am    Post subject: Reply with quote

Moved from Desktop Environments to Unsupported Software as overlay packages are not officially supported.
_________________
Search | Read | Answer | Report | Strip
Back to top
View user's profile Send private message
dreeh
n00b
n00b


Joined: 24 Mar 2006
Posts: 10
Location: Germany, Bavarian, Wolfratshausen

PostPosted: Mon Feb 28, 2011 10:27 am    Post subject: Reply with quote

i'm also using gentoo overlay and it's working fine.

at this moment, i'm not able to use gnome-shell and in gnome-control-center i'm missing something for changing appearance (see http://forums.gentoo.org/viewtopic-t-866201.html).
Back to top
View user's profile Send private message
BlackBelt
Guru
Guru


Joined: 27 Nov 2004
Posts: 369
Location: Messina/Pisa

PostPosted: Thu Apr 07, 2011 12:41 pm    Post subject: Reply with quote

Have somebody managed to use Gnome 3 with success or few issues?

thanks
_________________
"Sulla strada per l'inferno c'e' sempre un sacco di gente,
ma è comunque una via che si percorre in solitudine."

Charles Bukowski
Back to top
View user's profile Send private message
Katherine1
n00b
n00b


Joined: 06 Oct 2010
Posts: 26

PostPosted: Thu Apr 07, 2011 10:52 pm    Post subject: Reply with quote

I've got Gnome 3 more or less running. It's not quite working right, though. The top bar is not skinning correctly, and menus are skewing at a diagonal. I am unsure if this is a problem with the Gnome 3 packages or something else.

I'm on Xorg-server 1.9.5 and using the proprietary ATI drivers (which are currently not compatible with Xorg 1.10 :/ )
Back to top
View user's profile Send private message
tobiwwwan
n00b
n00b


Joined: 02 Feb 2011
Posts: 1

PostPosted: Fri Apr 08, 2011 10:20 am    Post subject: Reply with quote

Me too. But I miss a few things. I have no sidebar and I am not able to start "Zeitgeist". I know, it is not part of the official Gnome 3, but I installed it from portage/overlay.
Back to top
View user's profile Send private message
-niko-
n00b
n00b


Joined: 05 Apr 2011
Posts: 16
Location: Montevideo, Uruguay

PostPosted: Sat Apr 09, 2011 6:23 am    Post subject: Reply with quote

Anyone can use nautilus 3? I can't run nautilus, this is the output of the gdb:

Code:
Starting program: /usr/bin/nautilus
[Thread debugging using libthread_db enabled]
[New Thread 0x7fffedb32700 (LWP 14086)]
GLib-GIO-Message: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.
[New Thread 0x7fffe7be7700 (LWP 14087)]

(nautilus:14083): libnotify-WARNING **: Failed to connect to proxy

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff72d66b3 in gtk_icon_info_load_symbolic () from /usr/lib64/libgtk-3.so.0


If anyone can help me, would be helpful :(
Back to top
View user's profile Send private message
Naib
Advocate
Advocate


Joined: 21 May 2004
Posts: 4104
Location: Removed by Neddy

PostPosted: Sat Apr 09, 2011 10:44 am    Post subject: Reply with quote

-niko- wrote:
Anyone can use nautilus 3? I can't run nautilus, this is the output of the gdb:

Code:
Starting program: /usr/bin/nautilus
[Thread debugging using libthread_db enabled]
[New Thread 0x7fffedb32700 (LWP 14086)]
GLib-GIO-Message: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.
[New Thread 0x7fffe7be7700 (LWP 14087)]

(nautilus:14083): libnotify-WARNING **: Failed to connect to proxy

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff72d66b3 in gtk_icon_info_load_symbolic () from /usr/lib64/libgtk-3.so.0


If anyone can help me, would be helpful :(

you need everything for gnome3 emerged AND then restart the machine is the safest option (or restart X) make sure all the backend stuff is then started
_________________
A free press is the unsleeping guardian of every other right that free men prize; it is the most dangerous foe of tyranny. Where men have the habit of liberty, the Press will continue to be the vigilant guardian of the rights of the ordinary citizen.
Back to top
View user's profile Send private message
-niko-
n00b
n00b


Joined: 05 Apr 2011
Posts: 16
Location: Montevideo, Uruguay

PostPosted: Sat Apr 09, 2011 2:18 pm    Post subject: Reply with quote

everything? :(... i just need nautilus :x ,ill try anyway but that solution doesn't convince me so much xD
Back to top
View user's profile Send private message
viralex
Apprentice
Apprentice


Joined: 24 Apr 2008
Posts: 223
Location: Viareggio (Lu,Italy)

PostPosted: Sat Apr 09, 2011 3:30 pm    Post subject: Reply with quote

Old gnome-session isn't slotted so I can't install 3.0.0 and 2.32 at the same time :(
Is there a way to do that?? Maybe in future
Back to top
View user's profile Send private message
Naib
Advocate
Advocate


Joined: 21 May 2004
Posts: 4104
Location: Removed by Neddy

PostPosted: Sat Apr 09, 2011 4:11 pm    Post subject: Reply with quote

-niko- wrote:
everything? :(... i just need nautilus :x ,ill try anyway but that solution doesn't convince me so much xD

Well I mention everything since with gnome3 and such apps they are tighter integrated
I hit that issue when I was using openbox and wanted to start nautilus. Once all the required services were started nautilus started just fine
_________________
A free press is the unsleeping guardian of every other right that free men prize; it is the most dangerous foe of tyranny. Where men have the habit of liberty, the Press will continue to be the vigilant guardian of the rights of the ordinary citizen.
Back to top
View user's profile Send private message
-niko-
n00b
n00b


Joined: 05 Apr 2011
Posts: 16
Location: Montevideo, Uruguay

PostPosted: Sat Apr 09, 2011 4:48 pm    Post subject: Reply with quote

Naib wrote:
-niko- wrote:
everything? :(... i just need nautilus :x ,ill try anyway but that solution doesn't convince me so much xD

Well I mention everything since with gnome3 and such apps they are tighter integrated
I hit that issue when I was using openbox and wanted to start nautilus. Once all the required services were started nautilus started just fine


Which would be these services? :!:
Using gnome-session it's worked well.
Back to top
View user's profile Send private message
viralex
Apprentice
Apprentice


Joined: 24 Apr 2008
Posts: 223
Location: Viareggio (Lu,Italy)

PostPosted: Sat Apr 09, 2011 4:48 pm    Post subject: Reply with quote

nautilus3 crashes when I try to change some settings or when I try to enable desktop icons :(
Back to top
View user's profile Send private message
-niko-
n00b
n00b


Joined: 05 Apr 2011
Posts: 16
Location: Montevideo, Uruguay

PostPosted: Sat Apr 09, 2011 10:46 pm    Post subject: Reply with quote

-niko- wrote:
Naib wrote:
-niko- wrote:
everything? :(... i just need nautilus :x ,ill try anyway but that solution doesn't convince me so much xD

Well I mention everything since with gnome3 and such apps they are tighter integrated
I hit that issue when I was using openbox and wanted to start nautilus. Once all the required services were started nautilus started just fine


Which would be these services? :!:
Using gnome-session it's worked well.


works now!, only need load gnome-settings-daemon, thanks Naibi :D
Back to top
View user's profile Send private message
SDNick484
Tux's lil' helper
Tux's lil' helper


Joined: 05 Dec 2005
Posts: 142

PostPosted: Sun Apr 10, 2011 4:07 am    Post subject: Reply with quote

I want to try gnome 3 from the gnome repository, and I'm receiving the following error when emerging gtk+-9999:
<<<<<
* GIT NEW clone -->
* repository: git://git.gnome.org
Cloning into bare repository /usr/portage/distfiles/git-src/gtk+...
fatal: Unable to look up (port 9418) (Name or service not known)
>>>>>

I'm not behind a proxy, and I just have a simple home router (OpenWRT) firewall. Do I need to let a particular port open? I've successfully cloned git repo's before, and cloning via http (git clone http://git.gnome.org/browse/gtk+) seems to work fine however when I try via git:// it fails (i.e. git clone git://git.gnome.org fails).
Back to top
View user's profile Send private message
-niko-
n00b
n00b


Joined: 05 Apr 2011
Posts: 16
Location: Montevideo, Uruguay

PostPosted: Sun Apr 10, 2011 5:35 am    Post subject: Reply with quote

SDNick484 wrote:
I want to try gnome 3 from the gnome repository, and I'm receiving the following error when emerging gtk+-9999:
<<<<<
* GIT NEW clone -->
* repository: git://git.gnome.org
Cloning into bare repository /usr/portage/distfiles/git-src/gtk+...
fatal: Unable to look up (port 9418) (Name or service not known)
>>>>>

I'm not behind a proxy, and I just have a simple home router (OpenWRT) firewall. Do I need to let a particular port open? I've successfully cloned git repo's before, and cloning via http (git clone http://git.gnome.org/browse/gtk+) seems to work fine however when I try via git:// it fails (i.e. git clone git://git.gnome.org fails).


i have the same problem, I use gtk + -3.0.8 and it worked well
Back to top
View user's profile Send private message
viralex
Apprentice
Apprentice


Joined: 24 Apr 2008
Posts: 223
Location: Viareggio (Lu,Italy)

PostPosted: Sun Apr 10, 2011 8:43 am    Post subject: Reply with quote

same problem with other packets like gjs

try http instead of git protocol and move folder into /usr/portage/distfiles/git-src if it works :S
http://git.gnome.org/
Back to top
View user's profile Send private message
cau
n00b
n00b


Joined: 10 Apr 2011
Posts: 3

PostPosted: Sun Apr 10, 2011 10:19 am    Post subject: Reply with quote

I have a similar problem. I get this error with gtk+-9999 when emerging gnome from overlay.

Code:
* GIT NEW clone -->
 *    repository:               git://git.gnome.org
Cloning into bare repository /usr/portage/distfiles/git-src/gtk+...
fatal: Unable to look up  (port 9418) (No address associated with hostname)
 * ERROR: x11-libs/gtk+-9999 failed (unpack phase):
 *   git.eclass: can't fetch from git://git.gnome.org.
Back to top
View user's profile Send private message
mostermand
n00b
n00b


Joined: 10 Apr 2011
Posts: 1

PostPosted: Sun Apr 10, 2011 1:32 pm    Post subject: Reply with quote

Quote:
I want to try gnome 3 from the gnome repository, and I'm receiving the following error when emerging gtk+-9999:
<<<<<
* GIT NEW clone -->
* repository: git://git.gnome.org
Cloning into bare repository /usr/portage/distfiles/git-src/gtk+...
fatal: Unable to look up (port 9418) (Name or service not known)
>>>>>


Manually setting setting EGIT_REPO_URI=git://git.gnome.org/<package> worked for me.
Back to top
View user's profile Send private message
cau
n00b
n00b


Joined: 10 Apr 2011
Posts: 3

PostPosted: Sun Apr 10, 2011 11:16 pm    Post subject: Reply with quote

Thanks mostermand, fixed for me too.

EDIT: Now I'm in gnome3, but I'm unable to emerge gnome-terminal-3.0.0 from overlay.

Code:
Wrote profile-manager.ui
  CCLD   gnome-terminal
Generating and caching the translation database
Merging translations into gnome-terminal.schemas.
Wrote profile-preferences.ui
gnome_terminal-eggsmclient-xsmp.o: In function `set_properties':
eggsmclient-xsmp.c:(.text+0x306): undefined reference to `SmcSetProperties'
gnome_terminal-eggsmclient-xsmp.o: In function `xsmp_shutdown_cancelled':
eggsmclient-xsmp.c:(.text+0x772): undefined reference to `SmcSaveYourselfDone'
gnome_terminal-eggsmclient-xsmp.o: In function `delete_properties':
eggsmclient-xsmp.c:(.text+0x7fc): undefined reference to `SmcDeleteProperties'
gnome_terminal-eggsmclient-xsmp.o: In function `do_save_yourself':
eggsmclient-xsmp.c:(.text+0xdfc): undefined reference to `SmcSaveYourselfDone'
eggsmclient-xsmp.c:(.text+0xe62): undefined reference to `SmcInteractRequest'
gnome_terminal-eggsmclient-xsmp.o: In function `fix_broken_state':
eggsmclient-xsmp.c:(.text+0xf5b): undefined reference to `SmcInteractDone'
eggsmclient-xsmp.c:(.text+0xf76): undefined reference to `SmcSaveYourselfDone'
gnome_terminal-eggsmclient-xsmp.o: In function `sm_client_xsmp_disconnect':
eggsmclient-xsmp.c:(.text+0x1096): undefined reference to `SmcCloseConnection'
gnome_terminal-eggsmclient-xsmp.o: In function `process_ice_messages':
eggsmclient-xsmp.c:(.text+0x10d5): undefined reference to `IceProcessMessages'
eggsmclient-xsmp.c:(.text+0x1127): undefined reference to `IceGetConnectionContext'
gnome_terminal-eggsmclient-xsmp.o: In function `sm_client_xsmp_end_session':
eggsmclient-xsmp.c:(.text+0x1186): undefined reference to `SmcGetIceConnection'
eggsmclient-xsmp.c:(.text+0x11b4): undefined reference to `SmcSaveYourselfDone'
eggsmclient-xsmp.c:(.text+0x11f1): undefined reference to `SmcVendor'
eggsmclient-xsmp.c:(.text+0x1273): undefined reference to `SmcRequestSaveYourself'
gnome_terminal-eggsmclient-xsmp.o: In function `sm_client_xsmp_will_quit':
eggsmclient-xsmp.c:(.text+0x1356): undefined reference to `SmcInteractDone'
eggsmclient-xsmp.c:(.text+0x139a): undefined reference to `SmcInteractDone'
eggsmclient-xsmp.c:(.text+0x13ce): undefined reference to `SmcSaveYourselfDone'
gnome_terminal-eggsmclient-xsmp.o: In function `sm_client_xsmp_startup':
eggsmclient-xsmp.c:(.text+0x1516): undefined reference to `IceSetIOErrorHandler'
eggsmclient-xsmp.c:(.text+0x1522): undefined reference to `IceSetErrorHandler'
eggsmclient-xsmp.c:(.text+0x1536): undefined reference to `IceAddConnectionWatch'
eggsmclient-xsmp.c:(.text+0x1542): undefined reference to `SmcSetErrorHandler'
eggsmclient-xsmp.c:(.text+0x15e4): undefined reference to `SmcOpenConnection'
gnome_terminal-eggsmclient-xsmp.o: In function `ice_connection_watch':
eggsmclient-xsmp.c:(.text+0x1738): undefined reference to `IceConnectionNumber'
gnome_terminal-eggsmclient-xsmp.o: In function `xsmp_save_yourself':
eggsmclient-xsmp.c:(.text+0x198d): undefined reference to `SmcSaveYourselfDone'
collect2: ld returned 1 exit status
make[3]: *** [gnome-terminal] Error 1
make[3]: Leaving directory `/var/tmp/portage/x11-terms/gnome-terminal-3.0.0/work/gnome-terminal-3.0.0/src'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/var/tmp/portage/x11-terms/gnome-terminal-3.0.0/work/gnome-terminal-3.0.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/x11-terms/gnome-terminal-3.0.0/work/gnome-terminal-3.0.0'
make: *** [all] Error 2
emake failed



Any ideas?
Back to top
View user's profile Send private message
mortagon
n00b
n00b


Joined: 24 Sep 2007
Posts: 47
Location: Bulgaria

PostPosted: Mon Apr 11, 2011 10:18 pm    Post subject: Reply with quote

cau wrote:
Thanks mostermand, fixed for me too.

EDIT: Now I'm in gnome3, but I'm unable to emerge gnome-terminal-3.0.0 from overlay.

Any ideas?


Bug 363033
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page 1, 2, 3, 4  Next
Page 1 of 4

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum